# `format_date`

New in version 2.12: The `format_date` filter was added in Twig 2.12.

The `format_date` filter formats a date. It behaves in the exact same way as the `format_datetime` filter, but without the time.

Note

The `format_date` filter is part of the `IntlExtension` which is not installed by default. Install it first:

    $ composer req twig/intl-extra

Then, use the `twig/extra-bundle` on Symfony projects or add the extension explictly on the Twig environment:

    use Twig\Extra\Intl\IntlExtension;

    $twig = new \Twig\Environment(...);
    $twig->addExtension(new IntlExtension());

## Arguments

- `locale`: The locale
- `dateFormat`: The date format
- `pattern`: A date time pattern